#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'joindomaindlg.ui'
**
** Created: 2013-08-05T18:34:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "joindomaindlg.h"

#include <qvariant.h>
#include <kmessagebox.h>
#include <klocale.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <kpassdlg.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "joindomaindlg.ui.h"

/*
 *  Constructs a JoinDomainDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
JoinDomainDlg::JoinDomainDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "JoinDomainDlg" );
    setSizeGripEnabled( TRUE );
    JoinDomainDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "JoinDomainDlgLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    JoinDomainDlgLayout->addMultiCellLayout( Layout1, 7, 7, 0, 1 );

    domainEdit = new QLineEdit( this, "domainEdit" );

    JoinDomainDlgLayout->addWidget( domainEdit, 0, 1 );

    domainControllerEdit = new QLineEdit( this, "domainControllerEdit" );

    JoinDomainDlgLayout->addWidget( domainControllerEdit, 1, 1 );

    usernameEdit = new QLineEdit( this, "usernameEdit" );

    JoinDomainDlgLayout->addWidget( usernameEdit, 2, 1 );

    textLabel5_2_2 = new QLabel( this, "textLabel5_2_2" );

    JoinDomainDlgLayout->addWidget( textLabel5_2_2, 4, 0 );

    textLabel5_2 = new QLabel( this, "textLabel5_2" );

    JoinDomainDlgLayout->addWidget( textLabel5_2, 3, 0 );

    textLabel5 = new QLabel( this, "textLabel5" );

    JoinDomainDlgLayout->addWidget( textLabel5, 2, 0 );

    textLabel4_2 = new QLabel( this, "textLabel4_2" );

    JoinDomainDlgLayout->addWidget( textLabel4_2, 1, 0 );

    textLabel4 = new QLabel( this, "textLabel4" );

    JoinDomainDlgLayout->addWidget( textLabel4, 0, 0 );

    passwordEdit = new KPasswordEdit( this, "passwordEdit" );

    JoinDomainDlgLayout->addWidget( passwordEdit, 3, 1 );

    verifyEdit = new KPasswordEdit( this, "verifyEdit" );

    JoinDomainDlgLayout->addWidget( verifyEdit, 4, 1 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    JoinDomainDlgLayout->addMultiCellWidget( line1, 6, 6, 0, 1 );
    spacer65 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    JoinDomainDlgLayout->addItem( spacer65, 5, 1 );
    languageChange();
    resize( QSize(427, 215).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( domainEdit, domainControllerEdit );
    setTabOrder( domainControllerEdit, usernameEdit );
    setTabOrder( usernameEdit, passwordEdit );
    setTabOrder( passwordEdit, verifyEdit );
    setTabOrder( verifyEdit, buttonOk );
    setTabOrder( buttonOk, buttonCancel );

    // buddies
    textLabel5_2_2->setBuddy( verifyEdit );
    textLabel5_2->setBuddy( passwordEdit );
    textLabel5->setBuddy( usernameEdit );
    textLabel4_2->setBuddy( domainControllerEdit );
    textLabel4->setBuddy( domainEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
JoinDomainDlg::~JoinDomainDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void JoinDomainDlg::languageChange()
{
    setCaption( tr2i18n( "Join Domain" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    textLabel5_2_2->setText( tr2i18n( "&Verify:" ) );
    textLabel5_2->setText( tr2i18n( "&Password:" ) );
    textLabel5->setText( tr2i18n( "&Username:" ) );
    textLabel4_2->setText( tr2i18n( "Domain co&ntroller:" ) );
    textLabel4->setText( tr2i18n( "&Domain:" ) );
}

/****************************************************************************
** JoinDomainDlg meta object code from reading C++ file 'joindomaindlg.h'
**
** Created: Mon Aug 5 18:34:00 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "joindomaindlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *JoinDomainDlg::className() const
{
    return "JoinDomainDlg";
}

QMetaObject *JoinDomainDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_JoinDomainDlg( "JoinDomainDlg", &JoinDomainDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString JoinDomainDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "JoinDomainDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString JoinDomainDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "JoinDomainDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* JoinDomainDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"accept", 0, 0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "accept()", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"JoinDomainDlg", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_JoinDomainDlg.setMetaObject( metaObj );
    return metaObj;
}

void* JoinDomainDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "JoinDomainDlg" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool JoinDomainDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: accept(); break;
    case 1: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool JoinDomainDlg::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool JoinDomainDlg::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool JoinDomainDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
