#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'userselectdlg.ui'
**
** Created: 2013-08-05T18:33:36
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "userselectdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "smbpasswdfile.h"
#include "kurl.h"
#include "userselectdlg.ui.h"

/*
 *  Constructs a UserSelectDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
UserSelectDlg::UserSelectDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "UserSelectDlg" );
    setSizeGripEnabled( TRUE );
    UserSelectDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "UserSelectDlgLayout"); 

    groupBox87 = new QGroupBox( this, "groupBox87" );
    groupBox87->setColumnLayout(0, Qt::Vertical );
    groupBox87->layout()->setSpacing( 6 );
    groupBox87->layout()->setMargin( 11 );
    groupBox87Layout = new QVBoxLayout( groupBox87->layout() );
    groupBox87Layout->setAlignment( Qt::AlignTop );

    userListView = new QListView( groupBox87, "userListView" );
    userListView->addColumn( tr2i18n( "Name" ) );
    userListView->addColumn( tr2i18n( "UID" ) );
    userListView->addColumn( tr2i18n( "GID" ) );
    userListView->setSelectionMode( QListView::Extended );
    groupBox87Layout->addWidget( userListView );

    UserSelectDlgLayout->addMultiCellWidget( groupBox87, 0, 1, 0, 0 );

    accessBtnGrp = new QButtonGroup( this, "accessBtnGrp" );
    accessBtnGrp->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, accessBtnGrp->sizePolicy().hasHeightForWidth() ) );
    accessBtnGrp->setColumnLayout(0, Qt::Vertical );
    accessBtnGrp->layout()->setSpacing( 6 );
    accessBtnGrp->layout()->setMargin( 11 );
    accessBtnGrpLayout = new QVBoxLayout( accessBtnGrp->layout() );
    accessBtnGrpLayout->setAlignment( Qt::AlignTop );

    defaultRadio = new QRadioButton( accessBtnGrp, "defaultRadio" );
    defaultRadio->setAccel( QKeySequence( 8388676 ) );
    defaultRadio->setChecked( TRUE );
    accessBtnGrpLayout->addWidget( defaultRadio );

    readRadio = new QRadioButton( accessBtnGrp, "readRadio" );
    readRadio->setAccel( QKeySequence( 8388690 ) );
    accessBtnGrpLayout->addWidget( readRadio );

    writeRadio = new QRadioButton( accessBtnGrp, "writeRadio" );
    writeRadio->setAccel( QKeySequence( 8388695 ) );
    accessBtnGrpLayout->addWidget( writeRadio );

    adminRadio = new QRadioButton( accessBtnGrp, "adminRadio" );
    adminRadio->setAccel( QKeySequence( 8388673 ) );
    accessBtnGrpLayout->addWidget( adminRadio );

    noAccessRadio = new QRadioButton( accessBtnGrp, "noAccessRadio" );
    noAccessRadio->setAccel( QKeySequence( 8388686 ) );
    accessBtnGrpLayout->addWidget( noAccessRadio );

    UserSelectDlgLayout->addWidget( accessBtnGrp, 0, 1 );
    spacer90 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    UserSelectDlgLayout->addItem( spacer90, 1, 1 );

    frame16 = new QFrame( this, "frame16" );
    frame16->setFrameShape( QFrame::HLine );
    frame16->setFrameShadow( QFrame::Raised );

    UserSelectDlgLayout->addMultiCellWidget( frame16, 2, 2, 0, 1 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 285, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAccel( QKeySequence( 0 ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAccel( QKeySequence( 0 ) );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    UserSelectDlgLayout->addMultiCellLayout( Layout1, 3, 3, 0, 1 );
    languageChange();
    resize( QSize(485, 269).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UserSelectDlg::~UserSelectDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UserSelectDlg::languageChange()
{
    setCaption( tr2i18n( "Select Users" ) );
    groupBox87->setTitle( tr2i18n( "Select &Users" ) );
    userListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    userListView->header()->setLabel( 1, tr2i18n( "UID" ) );
    userListView->header()->setLabel( 2, tr2i18n( "GID" ) );
    accessBtnGrp->setTitle( tr2i18n( "Acc&ess" ) );
    defaultRadio->setText( tr2i18n( "&Default" ) );
    readRadio->setText( tr2i18n( "&Read access" ) );
    writeRadio->setText( tr2i18n( "&Write access" ) );
    adminRadio->setText( tr2i18n( "&Admin access" ) );
    noAccessRadio->setText( tr2i18n( "&No access at all" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** UserSelectDlg meta object code from reading C++ file 'userselectdlg.h'
**
** Created: Mon Aug 5 18:33:36 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "userselectdlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

#include <qvariant.h>
const char *UserSelectDlg::className() const
{
    return "UserSelectDlg";
}

QMetaObject *UserSelectDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_UserSelectDlg( "UserSelectDlg", &UserSelectDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString UserSelectDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "UserSelectDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString UserSelectDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "UserSelectDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* UserSelectDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "specifiedUsers", &static_QUType_varptr, "\x04", QUParameter::In },
	{ "share", &static_QUType_ptr, "SambaShare", QUParameter::In }
    };
    static const QUMethod slot_0 = {"init", 2, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_QVariant, "\x04", QUParameter::Out }
    };
    static const QUMethod slot_1 = {"getSelectedUsers", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ 0, &static_QUType_int, 0, QUParameter::Out }
    };
    static const QUMethod slot_2 = {"getAccess", 1, param_slot_2 };
    static const QUMethod slot_3 = {"languageChange", 0, 0 };
    static const QUMethod slot_4 = {"accept", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "init(const QStringList&,SambaShare*)", &slot_0, QMetaData::Public },
	{ "getSelectedUsers()", &slot_1, QMetaData::Public },
	{ "getAccess()", &slot_2, QMetaData::Public },
	{ "languageChange()", &slot_3, QMetaData::Protected },
	{ "accept()", &slot_4, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"UserSelectDlg", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_UserSelectDlg.setMetaObject( metaObj );
    return metaObj;
}

void* UserSelectDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "UserSelectDlg" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool UserSelectDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init((const QStringList&)*((const QStringList*)static_QUType_ptr.get(_o+1)),(SambaShare*)static_QUType_ptr.get(_o+2)); break;
    case 1: static_QUType_QVariant.set(_o,QVariant(getSelectedUsers())); break;
    case 2: static_QUType_int.set(_o,getAccess()); break;
    case 3: languageChange(); break;
    case 4: accept(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool UserSelectDlg::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool UserSelectDlg::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool UserSelectDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
