#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'groupconfiggui.ui'
**
** Created: 2013-08-05T18:34:38
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "groupconfiggui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <klistbox.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "groupconfiggui.ui.h"

/*
 *  Constructs a GroupConfigGUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GroupConfigGUI::GroupConfigGUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GroupConfigGUI" );
    GroupConfigGUILayout = new QVBoxLayout( this, 0, 6, "GroupConfigGUILayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( QButtonGroup::NoFrame );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 0 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    allUsersRadio = new QRadioButton( buttonGroup1, "allUsersRadio" );
    allUsersRadio->setChecked( TRUE );
    buttonGroup1Layout->addWidget( allUsersRadio );

    groupUsersRadio = new QRadioButton( buttonGroup1, "groupUsersRadio" );
    buttonGroup1Layout->addWidget( groupUsersRadio );
    GroupConfigGUILayout->addWidget( buttonGroup1 );

    usersGrpBx = new QGroupBox( this, "usersGrpBx" );
    usersGrpBx->setEnabled( FALSE );
    usersGrpBx->setColumnLayout(0, Qt::Vertical );
    usersGrpBx->layout()->setSpacing( 6 );
    usersGrpBx->layout()->setMargin( 11 );
    usersGrpBxLayout = new QGridLayout( usersGrpBx->layout() );
    usersGrpBxLayout->setAlignment( Qt::AlignTop );

    listBox = new KListBox( usersGrpBx, "listBox" );

    usersGrpBxLayout->addMultiCellWidget( listBox, 0, 2, 0, 0 );
    spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    usersGrpBxLayout->addItem( spacer6, 2, 1 );

    removeBtn = new KPushButton( usersGrpBx, "removeBtn" );
    removeBtn->setEnabled( FALSE );

    usersGrpBxLayout->addWidget( removeBtn, 1, 1 );

    addBtn = new KPushButton( usersGrpBx, "addBtn" );

    usersGrpBxLayout->addWidget( addBtn, 0, 1 );

    writeAccessChk = new QCheckBox( usersGrpBx, "writeAccessChk" );

    usersGrpBxLayout->addMultiCellWidget( writeAccessChk, 3, 3, 0, 1 );
    GroupConfigGUILayout->addWidget( usersGrpBx );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer8 = new QSpacerItem( 180, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer8 );

    otherGroupBtn = new KPushButton( this, "otherGroupBtn" );
    otherGroupBtn->setEnabled( FALSE );
    otherGroupBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, otherGroupBtn->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( otherGroupBtn );
    GroupConfigGUILayout->addLayout( layout2 );
    languageChange();
    resize( QSize(521, 371).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( groupUsersRadio, SIGNAL( toggled(bool) ), usersGrpBx, SLOT( setEnabled(bool) ) );
    connect( groupUsersRadio, SIGNAL( toggled(bool) ), otherGroupBtn, SLOT( setEnabled(bool) ) );
    connect( listBox, SIGNAL( selectionChanged(QListBoxItem*) ), this, SLOT( listBox_selectionChanged(QListBoxItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupConfigGUI::~GroupConfigGUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupConfigGUI::languageChange()
{
    buttonGroup1->setTitle( QString::null );
    allUsersRadio->setText( tr2i18n( "Allow all users to share folders" ) );
    groupUsersRadio->setText( tr2i18n( "Only users of the '%1' group are allowed to share folders" ) );
    usersGrpBx->setTitle( tr2i18n( "Users of '%1' Group" ) );
    removeBtn->setText( tr2i18n( "Remove User" ) );
    addBtn->setText( tr2i18n( "Add User" ) );
    writeAccessChk->setText( tr2i18n( "Group members can share folders without root password" ) );
    otherGroupBtn->setText( tr2i18n( "Change Group..." ) );
}

/****************************************************************************
** GroupConfigGUI meta object code from reading C++ file 'groupconfiggui.h'
**
** Created: Mon Aug 5 18:34:38 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "groupconfiggui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GroupConfigGUI::className() const
{
    return "GroupConfigGUI";
}

QMetaObject *GroupConfigGUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupConfigGUI( "GroupConfigGUI", &GroupConfigGUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupConfigGUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupConfigGUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupConfigGUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupConfigGUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupConfigGUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "i", &static_QUType_ptr, "QListBoxItem", QUParameter::In }
    };
    static const QUMethod slot_0 = {"listBox_selectionChanged", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "listBox_selectionChanged(QListBoxItem*)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupConfigGUI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupConfigGUI.setMetaObject( metaObj );
    return metaObj;
}

void* GroupConfigGUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupConfigGUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GroupConfigGUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: listBox_selectionChanged((QListBoxItem*)static_QUType_ptr.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupConfigGUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupConfigGUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GroupConfigGUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
