#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'groupselectdlg.ui'
**
** Created: 2013-08-05T18:33:36
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "groupselectdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "passwd.h"
#include "groupselectdlg.ui.h"

/*
 *  Constructs a GroupSelectDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GroupSelectDlg::GroupSelectDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GroupSelectDlg" );
    setSizeGripEnabled( TRUE );
    GroupSelectDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "GroupSelectDlgLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 285, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAccel( QKeySequence( 0 ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAccel( QKeySequence( 0 ) );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    GroupSelectDlgLayout->addMultiCellLayout( Layout1, 4, 4, 0, 1 );

    frame16 = new QFrame( this, "frame16" );
    frame16->setFrameShape( QFrame::HLine );
    frame16->setFrameShadow( QFrame::Raised );

    GroupSelectDlgLayout->addMultiCellWidget( frame16, 3, 3, 0, 1 );
    spacer90 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GroupSelectDlgLayout->addItem( spacer90, 2, 1 );

    groupBox87 = new QGroupBox( this, "groupBox87" );
    groupBox87->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 100, 0, groupBox87->sizePolicy().hasHeightForWidth() ) );
    groupBox87->setColumnLayout(0, Qt::Vertical );
    groupBox87->layout()->setSpacing( 6 );
    groupBox87->layout()->setMargin( 11 );
    groupBox87Layout = new QVBoxLayout( groupBox87->layout() );
    groupBox87Layout->setAlignment( Qt::AlignTop );

    groupListView = new QListView( groupBox87, "groupListView" );
    groupListView->addColumn( tr2i18n( "Name" ) );
    groupListView->addColumn( tr2i18n( "GID" ) );
    groupListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 100, 0, groupListView->sizePolicy().hasHeightForWidth() ) );
    groupListView->setSelectionMode( QListView::Extended );
    groupBox87Layout->addWidget( groupListView );

    GroupSelectDlgLayout->addMultiCellWidget( groupBox87, 0, 2, 0, 0 );

    accessBtnGrp = new QButtonGroup( this, "accessBtnGrp" );
    accessBtnGrp->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, accessBtnGrp->sizePolicy().hasHeightForWidth() ) );
    accessBtnGrp->setColumnLayout(0, Qt::Vertical );
    accessBtnGrp->layout()->setSpacing( 6 );
    accessBtnGrp->layout()->setMargin( 11 );
    accessBtnGrpLayout = new QVBoxLayout( accessBtnGrp->layout() );
    accessBtnGrpLayout->setAlignment( Qt::AlignTop );

    defaultRadio = new QRadioButton( accessBtnGrp, "defaultRadio" );
    defaultRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, defaultRadio->sizePolicy().hasHeightForWidth() ) );
    defaultRadio->setAccel( QKeySequence( 8388676 ) );
    defaultRadio->setChecked( TRUE );
    accessBtnGrpLayout->addWidget( defaultRadio );

    readRadio = new QRadioButton( accessBtnGrp, "readRadio" );
    readRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, readRadio->sizePolicy().hasHeightForWidth() ) );
    readRadio->setAccel( QKeySequence( 8388690 ) );
    accessBtnGrpLayout->addWidget( readRadio );

    writeRadio = new QRadioButton( accessBtnGrp, "writeRadio" );
    writeRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, writeRadio->sizePolicy().hasHeightForWidth() ) );
    writeRadio->setAccel( QKeySequence( 8388695 ) );
    accessBtnGrpLayout->addWidget( writeRadio );

    adminRadio = new QRadioButton( accessBtnGrp, "adminRadio" );
    adminRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, adminRadio->sizePolicy().hasHeightForWidth() ) );
    adminRadio->setAccel( QKeySequence( 8388673 ) );
    accessBtnGrpLayout->addWidget( adminRadio );

    noAccessRadio = new QRadioButton( accessBtnGrp, "noAccessRadio" );
    noAccessRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, noAccessRadio->sizePolicy().hasHeightForWidth() ) );
    noAccessRadio->setAccel( QKeySequence( 8388686 ) );
    accessBtnGrpLayout->addWidget( noAccessRadio );

    GroupSelectDlgLayout->addWidget( accessBtnGrp, 0, 1 );

    kindBtnGrp = new QButtonGroup( this, "kindBtnGrp" );
    kindBtnGrp->setColumnLayout(0, Qt::Vertical );
    kindBtnGrp->layout()->setSpacing( 6 );
    kindBtnGrp->layout()->setMargin( 11 );
    kindBtnGrpLayout = new QVBoxLayout( kindBtnGrp->layout() );
    kindBtnGrpLayout->setAlignment( Qt::AlignTop );

    unixRadio = new QRadioButton( kindBtnGrp, "unixRadio" );
    unixRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, unixRadio->sizePolicy().hasHeightForWidth() ) );
    unixRadio->setAccel( QKeySequence( 8388693 ) );
    unixRadio->setChecked( FALSE );
    kindBtnGrp->insert( unixRadio, 0 );
    kindBtnGrpLayout->addWidget( unixRadio );

    nisRadio = new QRadioButton( kindBtnGrp, "nisRadio" );
    nisRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, nisRadio->sizePolicy().hasHeightForWidth() ) );
    nisRadio->setAccel( QKeySequence( 8388691 ) );
    nisRadio->setChecked( FALSE );
    kindBtnGrp->insert( nisRadio, 1 );
    kindBtnGrpLayout->addWidget( nisRadio );

    bothRadio = new QRadioButton( kindBtnGrp, "bothRadio" );
    bothRadio->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, bothRadio->sizePolicy().hasHeightForWidth() ) );
    bothRadio->setAccel( QKeySequence( 8388687 ) );
    bothRadio->setChecked( TRUE );
    kindBtnGrpLayout->addWidget( bothRadio );

    GroupSelectDlgLayout->addWidget( kindBtnGrp, 1, 1 );
    languageChange();
    resize( QSize(406, 370).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( groupListView, defaultRadio );
    setTabOrder( defaultRadio, bothRadio );
    setTabOrder( bothRadio, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupSelectDlg::~GroupSelectDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupSelectDlg::languageChange()
{
    setCaption( tr2i18n( "Select Groups" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    groupBox87->setTitle( tr2i18n( "Selec&t Groups" ) );
    groupListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    groupListView->header()->setLabel( 1, tr2i18n( "GID" ) );
    accessBtnGrp->setTitle( tr2i18n( "Acc&ess" ) );
    defaultRadio->setText( tr2i18n( "&Default" ) );
    readRadio->setText( tr2i18n( "&Read access" ) );
    writeRadio->setText( tr2i18n( "&Write access" ) );
    adminRadio->setText( tr2i18n( "&Admin access" ) );
    noAccessRadio->setText( tr2i18n( "&No access at all" ) );
    kindBtnGrp->setTitle( tr2i18n( "&Kind of Group" ) );
    unixRadio->setText( tr2i18n( "&UNIX group" ) );
    nisRadio->setText( tr2i18n( "NI&S group" ) );
    bothRadio->setText( tr2i18n( "UNIX and NIS gr&oup" ) );
}

/****************************************************************************
** GroupSelectDlg meta object code from reading C++ file 'groupselectdlg.h'
**
** Created: Mon Aug 5 18:33:36 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "groupselectdlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

#include <qvariant.h>
const char *GroupSelectDlg::className() const
{
    return "GroupSelectDlg";
}

QMetaObject *GroupSelectDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupSelectDlg( "GroupSelectDlg", &GroupSelectDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupSelectDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupSelectDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupSelectDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupSelectDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupSelectDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ "specifiedGroups", &static_QUType_varptr, "\x04", QUParameter::In }
    };
    static const QUMethod slot_0 = {"init", 1, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_QVariant, "\x04", QUParameter::Out }
    };
    static const QUMethod slot_1 = {"getSelectedGroups", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ 0, &static_QUType_int, 0, QUParameter::Out }
    };
    static const QUMethod slot_2 = {"getAccess", 1, param_slot_2 };
    static const QUParameter param_slot_3[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::Out }
    };
    static const QUMethod slot_3 = {"getGroupKind", 1, param_slot_3 };
    static const QUMethod slot_4 = {"languageChange", 0, 0 };
    static const QUMethod slot_5 = {"accept", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "init(const QStringList&)", &slot_0, QMetaData::Public },
	{ "getSelectedGroups()", &slot_1, QMetaData::Public },
	{ "getAccess()", &slot_2, QMetaData::Public },
	{ "getGroupKind()", &slot_3, QMetaData::Public },
	{ "languageChange()", &slot_4, QMetaData::Protected },
	{ "accept()", &slot_5, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupSelectDlg", parentObject,
	slot_tbl, 6,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupSelectDlg.setMetaObject( metaObj );
    return metaObj;
}

void* GroupSelectDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupSelectDlg" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool GroupSelectDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: init((const QStringList&)*((const QStringList*)static_QUType_ptr.get(_o+1))); break;
    case 1: static_QUType_QVariant.set(_o,QVariant(getSelectedGroups())); break;
    case 2: static_QUType_int.set(_o,getAccess()); break;
    case 3: static_QUType_QString.set(_o,getGroupKind()); break;
    case 4: languageChange(); break;
    case 5: accept(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupSelectDlg::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupSelectDlg::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool GroupSelectDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
