#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'usertab.ui'
**
** Created: 2013-08-05T18:33:36
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "usertab.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qtable.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "userselectdlg.h"
#include "groupselectdlg.h"
#include "usertab.ui.h"

/*
 *  Constructs a UserTab as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
UserTab::UserTab( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "UserTab" );
    UserTabLayout = new QVBoxLayout( this, 11, 6, "UserTabLayout"); 

    groupBox53 = new QGroupBox( this, "groupBox53" );
    groupBox53->setColumnLayout(0, Qt::Vertical );
    groupBox53->layout()->setSpacing( 6 );
    groupBox53->layout()->setMargin( 11 );
    groupBox53Layout = new QHBoxLayout( groupBox53->layout() );
    groupBox53Layout->setAlignment( Qt::AlignTop );

    allUnspecifiedUsersCombo = new QComboBox( FALSE, groupBox53, "allUnspecifiedUsersCombo" );
    groupBox53Layout->addWidget( allUnspecifiedUsersCombo );
    UserTabLayout->addWidget( groupBox53 );

    groupBox77 = new QGroupBox( this, "groupBox77" );
    groupBox77->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, groupBox77->sizePolicy().hasHeightForWidth() ) );
    groupBox77->setColumnLayout(0, Qt::Vertical );
    groupBox77->layout()->setSpacing( 6 );
    groupBox77->layout()->setMargin( 11 );
    groupBox77Layout = new QGridLayout( groupBox77->layout() );
    groupBox77Layout->setAlignment( Qt::AlignTop );

    userTable = new QTable( groupBox77, "userTable" );
    userTable->setNumCols( userTable->numCols() + 1 );
    userTable->horizontalHeader()->setLabel( userTable->numCols() - 1, tr2i18n( "Name" ) );
    userTable->setNumCols( userTable->numCols() + 1 );
    userTable->horizontalHeader()->setLabel( userTable->numCols() - 1, tr2i18n( "UID" ) );
    userTable->setNumCols( userTable->numCols() + 1 );
    userTable->horizontalHeader()->setLabel( userTable->numCols() - 1, tr2i18n( "GID" ) );
    userTable->setNumCols( userTable->numCols() + 1 );
    userTable->horizontalHeader()->setLabel( userTable->numCols() - 1, tr2i18n( "Access Rights" ) );
    userTable->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 100, 50, userTable->sizePolicy().hasHeightForWidth() ) );
    userTable->setNumRows( 0 );
    userTable->setNumCols( 4 );
    userTable->setShowGrid( FALSE );
    userTable->setColumnMovingEnabled( TRUE );
    userTable->setSelectionMode( QTable::MultiRow );
    userTable->setFocusStyle( QTable::FollowStyle );

    groupBox77Layout->addMultiCellWidget( userTable, 0, 4, 0, 0 );

    addUserBtn = new QPushButton( groupBox77, "addUserBtn" );

    groupBox77Layout->addWidget( addUserBtn, 0, 1 );

    expertBtn = new QPushButton( groupBox77, "expertBtn" );

    groupBox77Layout->addWidget( expertBtn, 4, 1 );

    addGroupBtn = new QPushButton( groupBox77, "addGroupBtn" );

    groupBox77Layout->addWidget( addGroupBtn, 1, 1 );

    removeSelectedBtn = new QPushButton( groupBox77, "removeSelectedBtn" );

    groupBox77Layout->addWidget( removeSelectedBtn, 2, 1 );
    spacer88 = new QSpacerItem( 20, 100, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox77Layout->addItem( spacer88, 3, 1 );
    UserTabLayout->addWidget( groupBox77 );

    groupBox35 = new QGroupBox( this, "groupBox35" );
    groupBox35->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, groupBox35->sizePolicy().hasHeightForWidth() ) );
    groupBox35->setColumnLayout(0, Qt::Vertical );
    groupBox35->layout()->setSpacing( 6 );
    groupBox35->layout()->setMargin( 11 );
    groupBox35Layout = new QHBoxLayout( groupBox35->layout() );
    groupBox35Layout->setAlignment( Qt::AlignTop );

    TextLabel12 = new QLabel( groupBox35, "TextLabel12" );
    TextLabel12->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, TextLabel12->sizePolicy().hasHeightForWidth() ) );
    groupBox35Layout->addWidget( TextLabel12 );

    forceUserCombo = new QComboBox( FALSE, groupBox35, "forceUserCombo" );
    forceUserCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, forceUserCombo->sizePolicy().hasHeightForWidth() ) );
    groupBox35Layout->addWidget( forceUserCombo );

    TextLabel13 = new QLabel( groupBox35, "TextLabel13" );
    TextLabel13->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, TextLabel13->sizePolicy().hasHeightForWidth() ) );
    groupBox35Layout->addWidget( TextLabel13 );

    forceGroupCombo = new QComboBox( FALSE, groupBox35, "forceGroupCombo" );
    forceGroupCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, forceGroupCombo->sizePolicy().hasHeightForWidth() ) );
    groupBox35Layout->addWidget( forceGroupCombo );
    UserTabLayout->addWidget( groupBox35 );
    languageChange();
    resize( QSize(548, 396).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( addUserBtn, SIGNAL( clicked() ), this, SLOT( addUserBtnClicked() ) );
    connect( addGroupBtn, SIGNAL( clicked() ), this, SLOT( addGroupBtnClicked() ) );
    connect( removeSelectedBtn, SIGNAL( clicked() ), this, SLOT( removeSelectedBtnClicked() ) );
    connect( expertBtn, SIGNAL( clicked() ), this, SLOT( expertBtnClicked() ) );
    connect( allUnspecifiedUsersCombo, SIGNAL( textChanged(const QString&) ), this, SLOT( changedSlot() ) );
    connect( addUserBtn, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( addGroupBtn, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( removeSelectedBtn, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( expertBtn, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( forceUserCombo, SIGNAL( textChanged(const QString&) ), this, SLOT( changedSlot() ) );
    connect( forceGroupCombo, SIGNAL( textChanged(const QString&) ), this, SLOT( changedSlot() ) );

    // tab order
    setTabOrder( allUnspecifiedUsersCombo, userTable );
    setTabOrder( userTable, addUserBtn );
    setTabOrder( addUserBtn, addGroupBtn );
    setTabOrder( addGroupBtn, removeSelectedBtn );
    setTabOrder( removeSelectedBtn, expertBtn );
    setTabOrder( expertBtn, forceUserCombo );
    setTabOrder( forceUserCombo, forceGroupCombo );

    // buddies
    TextLabel12->setBuddy( forceUserCombo );
    TextLabel13->setBuddy( forceGroupCombo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UserTab::~UserTab()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UserTab::languageChange()
{
    setCaption( tr2i18n( "Users" ) );
    groupBox53->setTitle( tr2i18n( "All U&nspecified Users" ) );
    allUnspecifiedUsersCombo->clear();
    allUnspecifiedUsersCombo->insertItem( tr2i18n( "Allow" ) );
    allUnspecifiedUsersCombo->insertItem( tr2i18n( "Reject" ) );
    groupBox77->setTitle( tr2i18n( "Spec&ified Users" ) );
    userTable->horizontalHeader()->setLabel( 0, tr2i18n( "Name" ) );
    userTable->horizontalHeader()->setLabel( 1, tr2i18n( "UID" ) );
    userTable->horizontalHeader()->setLabel( 2, tr2i18n( "GID" ) );
    userTable->horizontalHeader()->setLabel( 3, tr2i18n( "Access Rights" ) );
    addUserBtn->setText( tr2i18n( "A&dd User..." ) );
    expertBtn->setText( tr2i18n( "E&xpert" ) );
    addGroupBtn->setText( tr2i18n( "Add &Group..." ) );
    removeSelectedBtn->setText( tr2i18n( "Remo&ve Selected" ) );
    groupBox35->setTitle( tr2i18n( "All Users Should be Forced to the Follo&wing User/Group" ) );
    TextLabel12->setText( tr2i18n( "Forc&e user:" ) );
    TextLabel13->setText( tr2i18n( "Fo&rce group:" ) );
}

/****************************************************************************
** UserTab meta object code from reading C++ file 'usertab.h'
**
** Created: Mon Aug 5 18:33:36 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "usertab.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *UserTab::className() const
{
    return "UserTab";
}

QMetaObject *UserTab::metaObj = 0;
static QMetaObjectCleanUp cleanUp_UserTab( "UserTab", &UserTab::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString UserTab::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "UserTab", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString UserTab::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "UserTab", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* UserTab::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"addUserBtnClicked", 0, 0 };
    static const QUMethod slot_1 = {"removeSelectedBtnClicked", 0, 0 };
    static const QUMethod slot_2 = {"addGroupBtnClicked", 0, 0 };
    static const QUMethod slot_3 = {"expertBtnClicked", 0, 0 };
    static const QUMethod slot_4 = {"changedSlot", 0, 0 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "addUserBtnClicked()", &slot_0, QMetaData::Public },
	{ "removeSelectedBtnClicked()", &slot_1, QMetaData::Public },
	{ "addGroupBtnClicked()", &slot_2, QMetaData::Public },
	{ "expertBtnClicked()", &slot_3, QMetaData::Public },
	{ "changedSlot()", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"changed", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "changed()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"UserTab", parentObject,
	slot_tbl, 6,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_UserTab.setMetaObject( metaObj );
    return metaObj;
}

void* UserTab::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "UserTab" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL changed
void UserTab::changed()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool UserTab::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: addUserBtnClicked(); break;
    case 1: removeSelectedBtnClicked(); break;
    case 2: addGroupBtnClicked(); break;
    case 3: expertBtnClicked(); break;
    case 4: changedSlot(); break;
    case 5: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool UserTab::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: changed(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool UserTab::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool UserTab::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
