#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'propertiespagegui.ui'
**
** Created: 2013-08-05T18:34:33
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "propertiespagegui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "propertiespagegui.ui.h"

/*
 *  Constructs a PropertiesPageGUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PropertiesPageGUI::PropertiesPageGUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PropertiesPageGUI" );
    PropertiesPageGUILayout = new QVBoxLayout( this, 0, 6, "PropertiesPageGUILayout"); 

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    folderLbl = new QLabel( this, "folderLbl" );
    layout6->addWidget( folderLbl );

    urlRq = new KURLRequester( this, "urlRq" );
    layout6->addWidget( urlRq );
    PropertiesPageGUILayout->addLayout( layout6 );

    shareChk = new QCheckBox( this, "shareChk" );
    shareChk->setChecked( TRUE );
    PropertiesPageGUILayout->addWidget( shareChk );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    PropertiesPageGUILayout->addWidget( line1 );

    shareFrame = new QFrame( this, "shareFrame" );
    shareFrame->setFrameShape( QFrame::NoFrame );
    shareFrame->setFrameShadow( QFrame::Raised );
    shareFrameLayout = new QVBoxLayout( shareFrame, 0, 6, "shareFrameLayout"); 

    nfsChk = new QCheckBox( shareFrame, "nfsChk" );
    nfsChk->setChecked( TRUE );
    shareFrameLayout->addWidget( nfsChk );

    nfsGrp = new QGroupBox( shareFrame, "nfsGrp" );
    nfsGrp->setColumnLayout(0, Qt::Vertical );
    nfsGrp->layout()->setSpacing( 6 );
    nfsGrp->layout()->setMargin( 11 );
    nfsGrpLayout = new QVBoxLayout( nfsGrp->layout() );
    nfsGrpLayout->setAlignment( Qt::AlignTop );

    layout6_2 = new QHBoxLayout( 0, 0, 6, "layout6_2"); 

    publicNFSChk = new QCheckBox( nfsGrp, "publicNFSChk" );
    publicNFSChk->setChecked( TRUE );
    layout6_2->addWidget( publicNFSChk );

    writableNFSChk = new QCheckBox( nfsGrp, "writableNFSChk" );
    writableNFSChk->setChecked( FALSE );
    layout6_2->addWidget( writableNFSChk );
    spacer5 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6_2->addItem( spacer5 );
    nfsGrpLayout->addLayout( layout6_2 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    moreNFSBtn = new KPushButton( nfsGrp, "moreNFSBtn" );
    layout4->addWidget( moreNFSBtn );
    spacer3 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer3 );
    nfsGrpLayout->addLayout( layout4 );
    shareFrameLayout->addWidget( nfsGrp );

    sambaChk = new QCheckBox( shareFrame, "sambaChk" );
    sambaChk->setChecked( TRUE );
    shareFrameLayout->addWidget( sambaChk );

    sambaGrp = new QGroupBox( shareFrame, "sambaGrp" );
    sambaGrp->setColumnLayout(0, Qt::Vertical );
    sambaGrp->layout()->setSpacing( 6 );
    sambaGrp->layout()->setMargin( 11 );
    sambaGrpLayout = new QVBoxLayout( sambaGrp->layout() );
    sambaGrpLayout->setAlignment( Qt::AlignTop );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel1 = new QLabel( sambaGrp, "textLabel1" );
    layout3->addWidget( textLabel1 );

    sambaNameEdit = new KLineEdit( sambaGrp, "sambaNameEdit" );
    layout3->addWidget( sambaNameEdit );
    sambaGrpLayout->addLayout( layout3 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    publicSambaChk = new QCheckBox( sambaGrp, "publicSambaChk" );
    publicSambaChk->setChecked( TRUE );
    layout5->addWidget( publicSambaChk );

    writableSambaChk = new QCheckBox( sambaGrp, "writableSambaChk" );
    writableSambaChk->setChecked( FALSE );
    layout5->addWidget( writableSambaChk );
    spacer4_3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer4_3 );
    sambaGrpLayout->addLayout( layout5 );

    layout3_2 = new QHBoxLayout( 0, 0, 6, "layout3_2"); 

    moreSambaBtn = new KPushButton( sambaGrp, "moreSambaBtn" );
    layout3_2->addWidget( moreSambaBtn );
    spacer4_2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3_2->addItem( spacer4_2 );
    sambaGrpLayout->addLayout( layout3_2 );
    shareFrameLayout->addWidget( sambaGrp );
    PropertiesPageGUILayout->addWidget( shareFrame );
    spacer4 = new QSpacerItem( 20, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    PropertiesPageGUILayout->addItem( spacer4 );
    languageChange();
    resize( QSize(433, 348).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sambaChk, SIGNAL( toggled(bool) ), sambaGrp, SLOT( setEnabled(bool) ) );
    connect( nfsChk, SIGNAL( toggled(bool) ), nfsGrp, SLOT( setEnabled(bool) ) );
    connect( publicSambaChk, SIGNAL( toggled(bool) ), writableSambaChk, SLOT( setEnabled(bool) ) );
    connect( publicNFSChk, SIGNAL( toggled(bool) ), writableNFSChk, SLOT( setEnabled(bool) ) );
    connect( shareChk, SIGNAL( toggled(bool) ), shareFrame, SLOT( setEnabled(bool) ) );
    connect( shareChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( sambaChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( publicSambaChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( writableSambaChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( nfsChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( publicNFSChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( writableNFSChk, SIGNAL( clicked() ), this, SLOT( changedSlot() ) );
    connect( moreNFSBtn, SIGNAL( clicked() ), this, SLOT( moreNFSBtn_clicked() ) );
    connect( sambaChk, SIGNAL( toggled(bool) ), this, SLOT( sambaChkToggled(bool) ) );
    connect( sambaNameEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( changedSlot() ) );
    connect( publicSambaChk, SIGNAL( toggled(bool) ), this, SLOT( publicSambaChkToggled(bool) ) );
    connect( publicNFSChk, SIGNAL( toggled(bool) ), this, SLOT( publicNFSChkToggled(bool) ) );
    connect( moreSambaBtn, SIGNAL( clicked() ), this, SLOT( moreSambaBtnClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PropertiesPageGUI::~PropertiesPageGUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PropertiesPageGUI::languageChange()
{
    folderLbl->setText( tr2i18n( "Folder:" ) );
    shareChk->setText( tr2i18n( "S&hare this folder in the local network" ) );
    nfsChk->setText( tr2i18n( "Share with &NFS (Linux/UNIX)" ) );
    nfsGrp->setTitle( tr2i18n( "NFS Options" ) );
    publicNFSChk->setText( tr2i18n( "Pu&blic" ) );
    writableNFSChk->setText( tr2i18n( "W&ritable" ) );
    moreNFSBtn->setText( tr2i18n( "More NFS Op&tions" ) );
    sambaChk->setText( tr2i18n( "Share with S&amba (Microsoft(R) Windows(R))" ) );
    sambaGrp->setTitle( tr2i18n( "Samba Options" ) );
    textLabel1->setText( tr2i18n( "Name:" ) );
    publicSambaChk->setText( tr2i18n( "P&ublic" ) );
    writableSambaChk->setText( tr2i18n( "&Writable" ) );
    moreSambaBtn->setText( tr2i18n( "Mor&e Samba Options" ) );
}

/****************************************************************************
** PropertiesPageGUI meta object code from reading C++ file 'propertiespagegui.h'
**
** Created: Mon Aug 5 18:34:33 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "propertiespagegui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *PropertiesPageGUI::className() const
{
    return "PropertiesPageGUI";
}

QMetaObject *PropertiesPageGUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_PropertiesPageGUI( "PropertiesPageGUI", &PropertiesPageGUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString PropertiesPageGUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PropertiesPageGUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString PropertiesPageGUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PropertiesPageGUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* PropertiesPageGUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"moreNFSBtn_clicked", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"sambaChkToggled", 1, param_slot_1 };
    static const QUParameter param_slot_2[] = {
	{ "b", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"publicSambaChkToggled", 1, param_slot_2 };
    static const QUParameter param_slot_3[] = {
	{ "b", &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_3 = {"publicNFSChkToggled", 1, param_slot_3 };
    static const QUMethod slot_4 = {"moreSambaBtnClicked", 0, 0 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QUMethod slot_6 = {"changedSlot", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "moreNFSBtn_clicked()", &slot_0, QMetaData::Public },
	{ "sambaChkToggled(bool)", &slot_1, QMetaData::Public },
	{ "publicSambaChkToggled(bool)", &slot_2, QMetaData::Public },
	{ "publicNFSChkToggled(bool)", &slot_3, QMetaData::Public },
	{ "moreSambaBtnClicked()", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected },
	{ "changedSlot()", &slot_6, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"changed", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "changed()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"PropertiesPageGUI", parentObject,
	slot_tbl, 7,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PropertiesPageGUI.setMetaObject( metaObj );
    return metaObj;
}

void* PropertiesPageGUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PropertiesPageGUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL changed
void PropertiesPageGUI::changed()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool PropertiesPageGUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: moreNFSBtn_clicked(); break;
    case 1: sambaChkToggled((bool)static_QUType_bool.get(_o+1)); break;
    case 2: publicSambaChkToggled((bool)static_QUType_bool.get(_o+1)); break;
    case 3: publicNFSChkToggled((bool)static_QUType_bool.get(_o+1)); break;
    case 4: moreSambaBtnClicked(); break;
    case 5: languageChange(); break;
    case 6: changedSlot(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool PropertiesPageGUI::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: changed(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool PropertiesPageGUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool PropertiesPageGUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
